<?php

/**

* @version $Id: admin.cbjuice.php,v 1.5 RC2c 2008/7/23 p $

* @package CBUICE

* @subpackage CBJUICE

* @copyright (C) 2000 - 2005 Pronique Software and 2007-2008 Jacobson Consulting Inc.

* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL

*   based on M3Port/Juice released as Free Software by Pronique software
* - Modded by billt/billt_3
* - added functionality to add users and with email notification option for Joomla
* - Modded by jciconsult, generalized to CB. edit/export  functionality added
* - NOTE - THIS VERSION REQUIRES USE OF FIRST AND LAST NAME AT LEAST AS SEPARATE COMPROFILER FIELDS
* - Supports JACLPLUS

*/



/** ensure this file is being included by a parent file */

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

if(!function_exists('array_combine')){
echo 'function defined<br>';
    function array_combine($a, $b) {
   $c = array();
   $at = array_values($a);
   $bt = array_values($b);
   foreach($at as $key=>$aval) $c[$aval] = $bt[$key];
   return $c;
    }
}
if(!function_exists('str_ireplace')){
#definition found in php.net
  function str_ireplace($search,$replace,$subject){
    $token = chr(1);
    $haystack = strtolower($subject);
    $needle = strtolower($search);
    while (($pos=strpos($haystack,$needle))!==FALSE){
      $subject = substr_replace($subject,$token,$pos,strlen($search));
      $haystack = substr_replace($haystack,$token,$pos,strlen($search));
    }
    $subject = str_replace($token,$replace,$subject);
    return $subject;
  }
}
if (!$acl->acl_check( 'administration', 'manage', 'users', $my->usertype, 'components', 'com_users' )) {

    mosRedirect( 'index2.php', _NOT_AUTH );

}

/* following code ripped off from CB*/
global $_CB_joomla_adminpath, $_CB_adminpath, $ueConfig;
$_CB_joomla_adminpath = $mainframe->getCfg( 'absolute_path' ). "/administrator";
$_CB_adminpath = $_CB_joomla_adminpath. "/components/com_comprofiler";
include_once($_CB_adminpath."/ue_config.php" );
include_once($_CB_adminpath."/plugin.class.php");
include_once($_CB_adminpath."/comprofiler.class.php");
include_once($_CB_adminpath."/imgToolbox.class.php");
/* end of cb includes*/


require_once( $mainframe->getPath( 'admin_html' ) );



#if (file_exists($mosConfig_absolute_path.'/administrator/components/com_juice/languages/'.$mosConfig_lang.'.php')) {

# include($mosConfig_absolute_path.'/administrator/components/com_juice/languages/'.$mosConfig_lang.'.php');

# } else {

#   include($mosConfig_absolute_path.'/administrator/components/com_juice/languages/english.php');

# }



$task 	= trim( mosGetParam( $_REQUEST, 'task', null ) );


# debug line
#echo "Task:$task<br>";


$cid 	= mosGetParam( $_REQUEST, 'cid', array( 0 ) );

if (!is_array( $cid )) {

    $cid = array ( 0 );

}

#adding save user capability
$operation=$task;

$exportmode=false;
if($_REQUEST['opptype']==3){$exportmode=True;
$operation='save';}
if($_REQUEST['opptype']==4){$deletemode=TRUE;
    $operation='deleteusers';}

switch ($operation) {

    case 'process':

        #echo "Goto import users function with option:".$option." and task:".$task."<br>";
        importUsers($option, $task);

        break;

    case 'deleteusers':

        $delcount = deleteregusers();

        HTML_CBJUsers::showDeleted($delcount);

        break;

    case 'about';

        HTML_CBJUsers::showAbout($option);

        break;

    case 'save':

    case 'apply':

        saveUser( $option, $task );

        break;



    default:

        showUsersImport( $option);

        break;

}





function showUsersImport( $option ) {

   /* global $database, $mainframe, $my, $acl, $mosConfig_list_limit;*/



    HTML_CBJUsers::showUsersImport($option);

}



function importUsers($option, $task) {

global $_REQUESTS,$HTTP_POST_FILES;

global $database, $my;

global $mosConfig_live_site, $mosConfig_mailfrom, $mosConfig_fromname, $mosConfig_sitename;



        if ($_REQUEST['delimiter'] == 'TAB') {

            $delimiter = "\t";

        } else {

            $delimiter = $_REQUEST['delimiter'];

        }

        $ConfirmationEmail = $_REQUEST['ConfirmationEmail'];
        #Echo "Confirmation email flag is $ConfirmationEmail <br>";
        #$ConfirmationEmail=0;
        #check the field for add mode
        $addmode=False;
        $exportmode=False;
        $auditlist=False;
        $usertypemode=False;
        
        if($_REQUEST['opptype']==1){$addmode=True;}
        if($_REQUEST['auditlist']==1){$auditlist=True;}
        #
        #$addmode=False;
    
        #Echo "Add mode is $addmode <br>";

        #set a flag for the joomla version
        $cbJoomlaVersion=checkJversion();
    
        # Figure out what the last table id and determine the next one as $new_id

        $query = "SELECT MAX(id) FROM #__users";                                                                                                                                                                                                                        

        $database->setQuery( $query );

        $old_id = $database->loadResult();

        $new_id = $old_id + 1;


        # Figure out what the last table id and determine the next one as $new_aro_id
        if($cbJoomlaVersion==1){
        $query_aro = "SELECT MAX(id) FROM #__core_acl_aro";
        } else
        {
        $query_aro = "SELECT MAX(aro_id) FROM #__core_acl_aro";
        }

        $database->setQuery( $query_aro );

        $old_aro_id = $database->loadResult();

        $new_aro_id = $old_aro_id + 1;
        #Echo "NewAro ID is $new_aro_id<br>";
  
        # Figure out what the last table id and determine the next one as $new_comprofiler_id

        $query_comprofiler = "SELECT MAX(id) FROM #__comprofiler";

        $database->setQuery( $query_comprofiler );

        $old_comprofiler_id = $database->loadResult();

        $new_comprofiler_id = $old_comprofiler_id + 1;


        # Set the register date to the current time and date

        $registerdate = date("Y-m-d H:i:s");

        #set default counts - BT
        $ImportedRecord = 0;
        $AlreadyExists = 0;
        #open file for read only
        $filehandle=fopen($_FILES['csvusers']['tmp_name'],'r');
        if($filehandle==0){
            Echo "Input file is not defined<br>";
            return;
        }
        #now process the header variables
        $headervariables=fgetcsv($filehandle,4096,$delimiter,'"');
        echo "Header Variables are<br>";
        print_r($headervariables);
        echo "<br>";
        # check for username;
        if(checkHeaderNames($headervariables,"username")<0){
          Echo "username must be supplied<br>";
          return;
        }
        /* Now we are setting up the usertype coding 
        This is a special variable usertype which must be in aro_group
        */
        if(checkHeaderNames($headervariables,"usertype")>=0){
            echo "usertypes will be processed<br>";
            $usertypemode=True;
            }
        
        #rules are to default the last name to user name in add mode
        #password to username
        #first and middel to blank
        #
        #now get field names 
        #in CB1.2, a new variable has been added to the fields tablecolumns just to screw things up.
        #therefore we have to get the fields in field table to tell what version we are working with
        #now get the fields in comprofiler_fields;
        $query="SHOW FIELDS FROM #__comprofiler_fields";
        $database->setquery($query);
        if($database->getErrorNum()){
            print("<font colour=red>SQL Error in #__comprofiler_fields looking for comprofiler fields".
            $database->stderr(true)."<font colour=red>");
            $returnflag=999;
            return $returnflag;
        }
        $comprofiler_fields_fields=$database->loadResultArray();
        $tablecolumnsthere=False;
        if(array_search("tablecolumns",$comprofiler_fields_fields)>0){
            #tablecolumns are there
            $tablecolumnsthere=True;
         }   
        #Echo "Starting names<br>";
        if($tablecolumnsthere){
            $query_fieldnames="SELECT  u.name, u.table,u.tablecolumns FROM #__comprofiler_fields u";}
        else {
            $query_fieldnames="SELECT  u.name, u.table FROM #__comprofiler_fields u";
        }
        $database->setquery($query_fieldnames);
        $database->query();
        if ($database->getErrorNum()) {
                    print("<font color=red>SQL error in comprofiler" . $database->stderr(true)."</font><br />");
                    return;
                }
        $fieldlist=$database->loadResultArray();
        $fieldobject=$database->loadObjectList();
        
        $numbfields=count($fieldlist);
        #
        #debug code
        #echo "number of fields= $numbfields<br>";
        #print_r(($fieldlist));
        #echo "<br>";
        #print_r($fieldobject);

        #echo "<br>starting names<br>";
        #for edit processing we need to know if any of the name fields are supplied
        $namesfound=False;
        
        # we must check to see if name variables are in the header
        $namefields=array("firstname","middlename"."lastname");
        $namevariables=array_intersect($namefields,$headervariables);
        if(count($namevariables)>0){$namesfound=True;}
        
        #print_r($namevariables);
        #echo "<br>finished<br>";
     

        ##Next code checks for missing variables and builds up a list of variables and pointers that go to the comprofiler table.
        
        
        $numbmissing=0;
        $comprofilernames=array();
        #comprofilerpointers maps the user data defined by the header variables to the array comprofiler values that goes into the comprofiler table
        $comprofilerpointers=array();
        $users_names=array();
        $users_pointers=array();
        foreach($headervariables as $thisvar){
            if($thisvar=="username"OR $thisvar=="password" or $thisvar=="usertype") {
            $a=$a;
            }else{
                $testindex=checkFields($thisvar,$fieldlist);
                if($testindex<0){
                    $numbmissing++;
                    echo "Field not defined in CB $thisvar<br>";
                }elseif(checkIsInTable($thisvar,$fieldobject,"#__comprofiler")>=0){
                    #because of a change in comprofiler, this code must change
                    if($tablecolumnsthere){
                        $icolumnpointer=CheckIsInTable($thisvar,$fieldobject,"#__comprofiler");
                        $columnname=$fieldobject[$icolumnpointer]->tablecolumns;
                        #it only makes sense to update if valid names are there
                        $xx=strpos($columnname,",") == False;
                        #echo "$thisvar has a column name of $columnname with a test of $xx<br>";
                        if(is_string($columnname) AND $columnname <> "" AND strpos($columnname,",") == False){
                            $comprofilernames[]=$columnname;
                            $comprofilerpointers[]=array_search($thisvar,$headervariables);
                        } else {
                            $numbmissing++;
                            echo "Field $thisvar cannot be updated in CB with CBJUICE<BR>";
                        }
                    } else{
                        $comprofilernames[]=$thisvar;
                        $comprofilerpointers[]=array_search($thisvar,$headervariables);
                    }
                    
                
                }elseif(checkIsInTable($thisvar,$fieldobject,"#__users")>0){
                    $users_names[]=$thisvar;
                    $users_pointers[]=array_search($thisvar,$headervariables);
                }
                
            }
        }
        
        if($numbmissing>0){
            echo "Now aborting because $numbmissing fields are not defined in the CB database<br>";
            return;
            
        }
        /*We want to add at least one variable to comprofiler*/
        if(sizeof($comprofilernames)<=0 && $addmode){
            Echo "There must be at least one CB field in an ADD run<br>";
            return;
        }
        /* need to check for duplicates */
        $count=0;
        $bad=0;
        $numbheader=array_count_values($headervariables);
        foreach($numbheader as $thisitem){
            if($thisitem>1){
            $bad++;
            echo "$headervariables[$count] is duplicated<br>";
            }
            $count++;
        }
        if($bad>0){
            echo "aborting because of duplicate header variables<>";
            return;
        }
        /* end of duplicate check*/
        #if the header contains password then we have to add it to the user table;
        $pwpointer=checkFields("password",$headervariables);
        if($pwpointer>=0){
            $users_names=array_merge(array("password"),$users_names);
            $users_pointers=array_merge(array($pwpointer),$users_pointers);
            
        }
        #
        # Comprofiler names are the names of the variables going into the comprofiler table
        # users_names go to the users table
        # the corresponding pointer arrays refer to the position of the information in the input CSV file
        #
        #print_r($comprofilernames);
        #echo "<br>";
        #print_r($comprofilerpointers);
        #echo "<br> Users_names<br>";
        #print_r($users_names);
        #echo "<br>users_pointers <br>";
        #print_r($users_pointers);
        #echo "<br>";
        #$x=format_sql_array($comprofilernames);
        #echo "formated names = $x<br>";
        #return;
        #now get the fields in comprofiler;
        $query="SHOW FIELDS FROM #__comprofiler";
        $database->setquery($query);
        if($database->getErrorNum()){
            print("<font colour=red>SQL Error in #__users looking for comprofiler fields".
            $database->stderr(true)."<font colour=red>");
            $returnflag=999;
            return $returnflag;
        }
        $comprofiler_field_list=$database->loadResultArray();
        #echo "Comprofiler fields <br>";
        #print_r($comprofiler_field_list);
        #echo "<br>";
        if($addmode){
        if(array_search("lastname",$comprofiler_field_list)<=0){
            Echo "This COM requires at least firstname and lastname<br>";
            return;
        }
        }
        /* this code sets up the array for looking up the usertype
        Unfortunately, the structure of core_acl_aro_groups is slightly different between the two versions of Joomla
        This code will have to be revisited in each new major change to the Joomla ACL
        We build up an array with the id field and the name
        This is used to check the type in the special variable usertype
        */
        if($cbJoomlaVersion==1){
            $query="select u.id, u.name from #__core_acl_aro_groups u";
            }else {
            $query="select u.group_id, u.name from #__core_acl_aro_groups u";
            }
        $database->setquery($query);
        $database->query();
        if ($database->getErrorNum()) {
                    print("<font color=red>SQL error in core_acl_aro_groups" . $database->stderr(true)."</font><br />");
                    return;
                }
        $aro_group_ids=$database->loadResultArray(0);
        $aro_group_names=$database->loadResultArray(1);
        /*at this point, we have two vectors, we look up the type in acl names and find the aclid*/
        $new_group_name="Registered";
       /* bebugging code
        print "<br> aro arrays <br>";
        print_r($aro_group_names);
        print "<br>";
        print_r($aro_group_ids);
        print "<br>";
     */
        $new_group_id=find_group_id($new_group_name,$aro_group_names,$aro_group_ids);
        if($new_group_id<0){
            print ("<font color=red> $new_group_name not found in core_acl_aro_groups </font><br />");
            return;
            }
         $usertypepointer=checkFields("usertype",$headervariables);   
        
        
    ##### Debug
    ########

    while ($eachuser = fgetcsv($filehandle,4096,",","\"")) {

        $a++;
        $new_id++;
        $new_aro_id++;
        $new_comprofiler_id++;

    
        
        #now we need to edit each cell in eachuser;
        $cellcount=0;
        Foreach($eachuser as $thiscell) {
            $eachuser[$cellcount]=addcslashes($thiscell,"'");
            $cellcount++;
        }
    
        
        
        $username=$eachuser[checkFields("username",$headervariables)];
        $password1=$eachuser[checkFields("password",$headervariables)];
        if($addmode){
            $password=defaultNameFields($eachuser,$headervariables,"password",RandomPassword(8));
        }else
        {
             $password=defaultNameFields($eachuser,$headervariables,"password","not available");
        };    
        $lastname=defaultNameFields($eachuser,$headervariables,"lastname",$username);
        $firstname=$eachuser[checkFields("firstname",$headervariables)];
        $firstname=defaultNameFields($eachuser,$headervariables,"firstname","");
        
        $email=defaultNameFields($eachuser,$headervariables,"email",($username . "@" . $_REQUEST['defaultemaildomain']));
        #echo "<br> $email is email<br>";
        #print_r($eachuser);
        #echo "<br> end of eachuser <br>";
        $comprofilervalues=array();
        foreach($comprofilerpointers as $thispointer){
            $comprofilervalues[]=$eachuser[$thispointer];
            #echo "value is $eachuser[$thispointer]<br>";
        }
        $users_values=array();
        foreach($users_pointers as $thispointer){
            $users_values[]=$eachuser[$thispointer];
        }
        #we need to encode the password with md5
        $pwpointer=CheckFields("password",$users_names);
        #echo "<br> Password pointer is $pwpointer<br>";
        if($pwpointer>=0){
            $users_values[$pwpointer]=cbHashPassword($users_values[$pwpointer]);

        }
        
        #now, we have to see if the usertype is defined;
        $new_aro_group_name="Registered";
        $new_aro_group_id=18;
        if($usertypepointer>=0){
            $checkvalue=$eachuser[$usertypepointer];
            #echo "testing $checkvalue <br>";
            $new_aro_group_id=find_group_id($checkvalue,$aro_group_names,$aro_group_ids);
            if($new_aro_group_id>=0){
                $new_aro_group_name=find_group_name($checkvalue,$aro_group_names);
                #echo "$username $new_aro_group_name  $new_aro_group_id <br>";
                }else 
                {
                echo "Not found $username $checkvalue Registered assumed<br>";
                $new_aro_group_name="Registered";
                $new_aro_group_id=18;
                }
            }
        
        
        # added for Joomla name - BT
        $name = $firstname . " " . $lastname;

        if ($username) {

            if (!$name) {$name = $username;}

            if (!$email) {$email = $username . "@" . $_REQUEST['defaultemaildomain'];}

            #echo "call to insertuser function";
            # now use arrays of names and values
            $error=0;
            if($addmode){
                    $error = insertuser($auditlist,$cbJoomlaVersion,$new_aro_group_name,$new_aro_group_id,$username, $password, $name, $email, 
                        $registerdate, $new_id, $new_aro_id, $new_comprofiler_id, $lastname, $firstname, $comprofilernames,$comprofilervalues);
                }else{
                #now we are in edit mode
                    $error=edituser($auditlist,$cbJoomlaVersion,$usertypemode,$new_aro_group_name,$new_aro_group_id,$username,$new_id,$new_aro_id,
                        $new_comprofiler_id,$namesvariables,$namesfound,$users_names,$users_values,$comprofilernames,$comprofilervalues);
                
                }
            # Update counts of imported records - BT
            if ($error < 1) {
                $ImportedRecord++;
            } else { $AlreadyExists++; }
            

        } else { echo "Line $a ignored, probably blank<br>";}
        # send confirmation email if checked - BT
        #echo "Confirmation Email flag is $ConfirmationEmail <br>";
        if ($ConfirmationEmail == 1 && $error < 1) {	
        
            $adminEmail2=$_REQUEST['cbjuice_ConfirmationSender'];
            $adminName2="Registration";
            $emailsubject=$_REQUEST['cbjuice_ConfirmationSubject'];
            $emailbody=$_REQUEST['cbjuice_message'];
            
            $emailbody= str_ireplace("{username}",$username,$emailbody);
            $emailbody=str_ireplace("{firstname}",$firstname,$emailbody);
            $emailbody=str_ireplace("{lastname}",$lastname,$emailbody);
            $emailbody=str_ireplace("{password}",$password,$emailbody);
            
            // Send first email to user
            $bccaddress=NULL;
            if($_REQUEST['BccEmail']==1){
                $bccaddress=$adminEmail2;
            }
            mosMail($adminEmail2, $adminName2, $email, $emailsubject, wordwrap($emailbody), false, NULL, $bccaddress );
            echo "User Created and Confirmation email Sent to $email and $bccaddress <br>";
            #echo "$emailbody<br>";
        }

    }

    fclose($filehandle);
    if(!$addmode){
        echo "<h3> $ImportedRecord users of $a records have been updated</H3>";
        }else{
        echo "<H3>$ImportedRecord users out of $a record(s) imported! $AlreadyExists user record(s) already existed.</H3>";
        }
    
    

}



function deleteregusers() {

global $database, $my;

global $mosConfig_live_site, $mosConfig_mailfrom, $mosConfig_fromname, $mosConfig_sitename;

    /* first, we must find the type to be deleted*/
    $deletetype=$_REQUEST['deletetype'];
    if($deletetype==""){echo "no delete type defined<br>";
    return;
    }
    $target_gid=-99;
    $myid=$my->id;
    #echo "My id is $myid  I can't delete myself<br>";
    
            
     /* this code sets up the array for looking up the usertype
        Unfortunately, the structure of core_acl_aro_groups is slightly different between the two versions of Joomla
        This code will have to be revisited in each new major change to the Joomla ACL
        We build up an array with the id field and the name
        This is used to check the type in the special variable usertype
        */
        $cbJoomlaVersion=checkJversion();
        if($cbJoomlaVersion==1){
            $query="select u.id, u.name from #__core_acl_aro_groups u";
            }else {
            $query="select u.group_id, u.name from #__core_acl_aro_groups u";
            }
        $database->setquery($query);
        $database->query();
        if ($database->getErrorNum()) {
                    print("<font color=red>SQL error in core_acl_aro_groups" . $database->stderr(true)."</font><br />");
                    return;
                }
        $aro_group_ids=$database->loadResultArray(0);
        $aro_group_names=$database->loadResultArray(1);
        /*at this point, we have two vectors, we look up the type in acl names and find the aclid*/
        $new_group_name=$deletetype;
    /* bebugging code
        print "<br> aro arrays <br>";
        print_r($aro_group_names);
        print "<br>";
        print_r($aro_group_ids);
        print "<br>";
     */
        $target_gid=find_group_id($new_group_name,$aro_group_names,$aro_group_ids);
        if($target_gid<0){
            print ("<font color=red> $new_group_name not found in core_acl_aro_groups </font><br />");
            return;
            }
    
        $query = "SELECT id FROM #__users where `gid`=".$target_gid;

        $database->setQuery( $query );

        $rows = $database->loadObjectList();
            if ($database->getErrorNum()) {
                    print("<font color=red>SQL error in users in delete" . $database->stderr(true)."</font><br />");
                    return;
                }
  



    foreach ($rows as $row) {
        $thisid=$row->id;
        if($thisid==$myid){ echo "You cannot delete yourself<br>";
        
        }else{
            $delcount++;

            $query = "DELETE FROM #__core_acl_aro where `value`=" . $row->id;

            $database->setQuery( $query );

                $database->query();
                if ($database->getErrorNum()) {
                        print("<font color=red>SQL error in #__core_acl_aro  in delete" . $database->stderr(true)."</font><br />");
                        return;
                    }
            $query ="DELETE FROM #__comprofiler where `user_id`=".$row->id;
            $database->setQuery($query);
                    $database->query();
                if ($database->getErrorNum()) {
                        print("<font color=red>SQL error in #__comprofiler  in delete" . $database->stderr(true)."</font><br />");
                        return;
                    }

        



        $query = "DELETE FROM #__core_acl_groups_aro_map where `group_id`=".$target_gid;

            $database->setQuery( $query );

            $database->query();

            if ($database->getErrorNum()) {
                        print("<font color=red>SQL error in #__core_acl_groups_aro_map in delete" . $database->stderr(true)."</font><br />");
                        return;
                    }
      

        $query = "DELETE FROM #__users where `gid`=".$target_gid;

        $database->setQuery( $query );

            $database->query();
                if ($database->getErrorNum()) {
                        print("<font color=red>SQL error in #__users in delete" . $database->stderr(true)."</font><br />");
                        return;
                    }
      }
      }

    return $delcount;

}



function insertuser ($auditlist,$cbJoomlaVersion,$new_group_name,$new_group_id,$username, $password, $name, $email, $registerdate, $new_id, $new_aro_id, $new_comprofiler_id, $lastname, $firstname, $comprofilernames, $comprofilervalues) {

global $database, $my;

global $mosConfig_live_site, $mosConfig_mailfrom, $mosConfig_fromname, $mosConfig_sitename;



    # MD5 the Password as $encpassword - now using cb routine

    $encpassword = cbHashPassword($password);

    # unremarked to show progress - BT
    #echo "Password is '$password' or in MD5 is $encpassword.<br>";
    # modified to current Joomla table name - BT

    $query = "SELECT COUNT(username) from #__users WHERE `username` = '$username'";

        $database->setQuery( $query );
        if ($database->getErrorNum()) {
                    print("<font color=red>SQL error in #__users in dupcheck" . $database->stderr(true)."</font><br />");
                    return;
                }
        $dupCount = $database->loadResult();
        #echo "<br>For $username the count is $dupCount <br>";

    if ($dupCount > 0) {

        echo "Username Already Exists: $username<br>";

    } else {

         if($auditlist){echo "Inserting for user name  $username $name $email Password= $password<br>";}
        # unremarked for testing purposes - BT
        #echo "Now we will insert the rows into jos_users<br>";
        #echo "$username gets $new_group_name and $new_group_id<br>";
       
            $query = "INSERT INTO #__users (id, name, username, email, password , usertype, block, sendEmail, gid, registerDate, lastvisitDate) VALUES ('$new_id', '$name', '$username', '$email', '$encpassword', '$new_group_name', '0', '0', '$new_group_id', '$registerdate', '0000-00-00 00:00:00')";

        # debug - BT
        #echo "Users table query is '$query'<br>";
        $database->setQuery( $query );
        $database->query();
        if ($database->getErrorNum()) {
            print("<font color=red>SQL error in usertable insert" . $database->stderr(true)."</font><br />");
            return;
        }


        #echo print_r($database->errorInfo()) . " - users<br>";


        # unremarked for testing purposes - BT
        #echo "Now we will insert the rows into jos_core_acl_aro<br>";
        #problem is that the names have been changed from aro_id to id in joomla 1.5 - need to change

        if($cbJoomlaVersion==1){
        $query = "INSERT INTO #__core_acl_aro (id , section_value , value , order_value , name , hidden) VALUES ('$new_aro_id', 'users', '$new_id', '0', '$name', '0')";
        } else
        {
        $query = "INSERT INTO #__core_acl_aro (aro_id , section_value , value , order_value , name , hidden) VALUES ('$new_aro_id', 'users', '$new_id', '0', '$name', '0')";
        }

        # debug - BT
        #echo "core_acl_aro table query is '$query'<br>";
        $database->setQuery( $query );

            $database->query();
       if ($database->getErrorNum()) {
            print("<font color=red>SQL error in acl_aro" . $database->stderr(true)."</font><br />");
            return;
        }

        #echo print_r($database->errorInfo()) . " - jos_core_acl_ar<br>";



        # unremarked for testing purposes - BT
        #echo "Now we will insert the rows into jos_core_acl_groups_aro_map<br>";
                $query = "INSERT INTO #__core_acl_groups_aro_map (group_id , section_value , aro_id) VALUES ($new_group_id, '', '$new_aro_id')";

        # debug - BT
        #echo "core_acl_groups_aro_map table query is '$query'<br>";
                $database->setQuery( $query );

            $database->query();
       if ($database->getErrorNum()) {
            print("<font color=red>SQL error in acl_groups_aro_map" . $database->stderr(true)."</font><br />");
            return;
        }



            #issue is that there may be no compfiler names on an initial add.   
                $query1="INSERT INTO #__comprofiler (id, user_id, approved, avatarapproved, confirmed, "; 
                $query2=implode(",",$comprofilernames);
                $query3=") VALUES ($new_comprofiler_id, $new_id, 1, 1, 1, ";
                $query4=format_sql_array($comprofilervalues);
                #Echo "query1= $query1<br>";
                #echo "query2= $query2<br>";
                #echo "query3= $query3<br>";
                #echo "query4= $query4<br>";
                $query=$query1 . $query2 . $query3 . $query4 . ")";
                
        # debug - BT
        #echo "comprofiler table query is $query <br>";
                $database->setQuery( $query );

            $database->query();
            if ($database->getErrorNum()) {
                print("<font color=red>SQL error in comprofiler" . $database->stderr(true)."</font><br />");
                eturn;
            }


    }

    return $dupCount;


} # End insertuser function

  
    
    function checkFields($fieldname,$fieldsarray){
        if(in_array($fieldname,$fieldsarray)){
            $fieldloc=array_search($fieldname,$fieldsarray);
        }else{
            $fieldloc=-1;
        }
        return $fieldloc;
    }
    
    function checkHeaderNames($headervariables,$mustname){
        $thisres=in_array($mustname,$headervariables);
        #echo "Result is $thisres<br>";
        if(!$thisres){
            #echo "$mustname is required <br>";
            return -1;
        }
        return 0;
    }
    #this function uses an object from the fields table
    #to determine if the field is in the comprofiler list
    function checkIsInTable($fieldname,$fieldsobjects,$tablename){
        $isInList=-1;
        $cc=0;
        foreach($fieldsobjects as $individualfield){
            if($fieldname==$individualfield->name AND $individualfield->table==$tablename){
                #echo "$fieldname is in comprofiler<br>";
                return $cc;
            }
            $cc++;
        }
        return -1;
    }
    function format_sql_array($array){
        $SQLstring = "";
        foreach($array as $item){
            $SQLstring .= "'$item',";
          }
            
            $SQLstring = rtrim($SQLstring, ",");
            
        return $SQLstring;
    }
    function defaultNameFields($eachuser,$headervariables,$namefield,$defaultvalue){
        #if the name field is not defined in the header, return the default value otherwise return the value in the each user array
        $returnvalue="";
        $thispointer=checkFields($namefield,$headervariables);
        if($thispointer<0){
            $returnvalue=$defaultvalue;
        }else{
            $returnvalue=trim($eachuser[$thispointer]);
        }
        return $returnvalue;
    }
    #function find_group_id returns the correct group_id
    function find_group_id($str, $aro_group_names,$aro_group_ids) {
        $idcount=0;
        foreach ($aro_group_names as $v) {
            if(strcasecmp($str, $v) == 0) 
            return ($aro_group_ids[$idcount]) ;
            $idcount++;
          
        }
        return -1;
    }  
    #function find_group_name exists to return the correct case on the aro_group_name
function find_group_name($str, $aro_group_names) {
        $idcount=0;
        foreach ($aro_group_names as $v) {
            if(strcasecmp($str, $v) == 0) {
            return ($aro_group_names[$idcount]);}
            $idcount++;
        }
        return "Registered";
    }         
function  edituser($auditlist,$cbJoomlaVersion,$usertypemode, $new_group_name,$new_group_id,$username,$new_id,$new_aro_id,$new_comprofiler_id,$namesvariables,$namesfound,$users_names,$users_values,$comprofilernames,$comprofilervalues){
    global $database, $my;
    global $mosConfig_live_site, $mosConfig_mailfrom, $mosConfig_fromname, $mosConfig_sitename;

    
    $returnflag=0;
   
    if($auditlist){echo "Updating for user name  $username <br>";}
    #print_r($comprofilervalues);
    #echo "<br>end of values<br>";
    #first we must see if the username exists
    $query="SELECT * FROM #__users WHERE `username`= '$username'";
    $database->setquery($query);
    $database->query();
    if($database->getErrorNum()){
        print("<font colour=red>SQL Error in #__users looking for $username".
        $database->stderr(true)."<font colour=red>");
        $returnflag=999;
        return $returnflag;
    }
   
    $userobject=$database->loadObjectlist();
    $vblcount=count($userobject);
    if($vblcount=0 OR is_null($userobject[0]->id)){
        print "$username is missing<br>";
        $returnflag=1;
        return $returnflag;
    }elseif($vblcount>1){
        print "<font colour=red>$username is duplicated-serious error $vblcount <font colour=red>";
        $returnflag=$vblcount;
        return $returnflag;
    }else{
        #now we are in the main line of this routine
        $currentuserid=$userobject[0]->id;
        #Echo "$username has the id of ". ($userobject[0]->id) . "<br>";
        #first retrieve the comprofiler data
        $query="SELECT * FROM #__comprofiler where `user_id`='$currentuserid'";
        
        $database->setquery($query);
        $database->query();
        if($database->getErrorNum()){
            print("<font colour=red>SQL Error in #__comprofiler looking for $username".
            $database->stderr(true) . "<font colour=red>");
            $returnflag=999;
            return $returnflag;
        }
        
        $comprofilerobject=$database->loadObjectlist();
        #the first issue is sorting out whether there are any name changes;
        #this is the original firstname, last name
        $nameschanged=False;
        $firstname=$comprofilerobject[0]->firstname;
        $lastname=$comprofilerobject[0]->lastname;
        
        if(sizeof($comprofilernames)>0){
            $cc2=array_combine($comprofilernames,$comprofilervalues);
     
            if(array_key_exists("firstname",$cc2)){
                $nameschanged=true;
                $firstname=$cc2["firstname"];
            }
            if(array_key_exists("lastname",$cc2)){
                $nameschanged=true;
                $lastname=$cc2["lastname"];
        }
        }
        $newname=$firstname . " " .$lastname;
        $query1="UPDATE #__users SET ";
        $query2="";
        $query3="WHERE `id`='$currentuserid'";
        if($nameschanged){
            #echo "<br> changing " . $userobject[0]->name . " to " . $newname . " for " . $username . " <br>";
            if(strlen($query2)>0){$query2=$query2 .",";}
            $query2=$query2 . " `name`='$newname' ";
  
        }
        #now add the other user variables
        $counter=0;
        foreach($users_names as $thisitem){
            if(strlen($query2)>0){$query2=$query2 . ", ";}
            $query2=$query2. "`" . $thisitem ."` ='" . $users_values[$counter] . "'";
            $counter++;
        }
        #now if the aro stuff is being updated, we have to add it here
        if($usertypemode){
            if(strlen($query2)>0){$query2=$query2 . ", ";}
            $query2=$query2. "`usertype`='".$new_group_name."'";
            $query2=$query2. ",`gid`='".$new_group_id."'";
        }
        #
        if(strlen($query2)>0){    /* this check is need just in case nothing is done to the user table*/
            $query=$query1 . $query2 . $query3;
            
            $database->setquery($query);
            #Echo "<br>User query is $query <br>";
            
            $database->query();
            if($database->getErrorNum()){
                print("<font colour=red>SQL Error in #__users updating $username".
                $database->stderr(true) . "<font colour=red>");
                $returnflag=999;
                return $returnflag;
            }
        }
        #now we check again for the user type mode and fix up the aro map
        ###
        if($usertypemode){
            # first, we have to get the aro id but it is joomla version specific
            if($cbJoomlaVersion==1){
                $query="SELECT u.id FROM #__core_acl_aro u WHERE `value`='$currentuserid'";
                }else {
                $query="SELECT u.aro_id FROM #__core_acl_aro u WHERE `value`='$currentuserid'";
            }
            $database->setquery($query);
            $database->query();
            if($database->getErrorNum()){
                print("<font colour=red>SQL Error in #__core_acl_aro updating $username".
                $database->stderr(true) . "<font colour=red>");
                $returnflag=999;
                return $returnflag;
        
                }
            $current_aro_id=$database->loadResult();
            #echo "for $username, aro_id= $current_aro_id <br>";
            #            
            $query1="UPDATE #__core_acl_groups_aro_map SET";
            $query2="`group_id`='".$new_group_id."'";
            $query3="where `aro_id`='".$current_aro_id."'";
            $query=$query1 . $query2 . $query3;
            $database->setquery($query);
            $database->query();
            if($database->getErrorNum()){
            print("<font colour=red>SQL Error in #__core_acl_groups_aro_map updating $username".
            $database->stderr(true) . "<font colour=red>");
            $returnflag=999;
            return $returnflag;
            
            }
        }
    #now it is just to update the comprofiler variables
        $query1="UPDATE #__comprofiler SET";
        $query2="";
        $counter=0;
        foreach($comprofilernames as $thisname){
            if(strlen($query2)>0){$query2=$query2 . " , ";}
            $query2=$query2 . " `" . $thisname . "` = '" . $comprofilervalues[$counter] . "'";
            $counter++;
        }
        $query3=" WHERE `id`=" . $comprofilerobject[0]->id;
        $query=$query1 . $query2 .$query3;
        if($counter>0){
            $database->setquery($query);
        
            #echo "<br>Comprofiler query is $query <br>";
        
            $database->query();
            if($database->getErrorNum()){
                print("<font colour=red>SQL Error in #__comprofiler updating $username".
                $database->stderr(true) . "<font colour=red>");
                $returnflag=999;
                return $returnflag;
            }
        } /*end of ifcounter*/
        
      
        
    }
}    #end edit user function
function saveuser($option, $task){
    global $database, $my;

    global $mosConfig_live_site, $mosConfig_mailfrom, $mosConfig_fromname, $mosConfig_sitename;
    
    $cbjuicedebug=false;
    #now get field names 
    #in CB1.2, a new variable has been added to the fields tablecolumns just to screw things up.
    #therefore we have to get the fields in field table to tell what version we are working with
    #now get the fields in comprofiler_fields;
    $query="SHOW FIELDS FROM #__comprofiler_fields";
    $database->setquery($query);
    if($database->getErrorNum()){
        print("<font colour=red>SQL Error in #__comprofiler_fields looking for comprofiler fields".
        $database->stderr(true)."<font colour=red>");
        $returnflag=999;
        return $returnflag;
    }
    $comprofiler_fields_fields=$database->loadResultArray();
    $tablecolumnsthere=False;
    if(array_search("tablecolumns",$comprofiler_fields_fields)>0){
        #tablecolumns are there
        $tablecolumnsthere=True;
     }       
    #now get the available fields to dump
    if($tablecolumnsthere){
        $query_fieldnames="SELECT  u.name, u.table,u.tablecolumns FROM #__comprofiler_fields u";}
    else {
        $query_fieldnames="SELECT  u.name, u.table FROM #__comprofiler_fields u";
    }
    $database->setquery($query_fieldnames);
    $database->query();
    if ($database->getErrorNum()) {
                print("<font color=red>SQL error in comprofiler" . $database->stderr(true)."</font><br />");
                return;
            }
    #we need a field array for the read and a names array for the write header;
    $fieldlist=$database->loadResultArray();
    $fieldarray=array();
    $namesarray=array();
    $fieldobject=$database->loadObjectList();
    $numbfields=count($fieldlist);
    $query1="SELECT ";
    $fieldcount=1;
    if($tablecolumnsthere){
        foreach($fieldobject as $thisfield){
            $columnname=$thisfield->tablecolumns;
            $tablename=$thisfield->table;
            $table_sel_prefix="";
            if($tablename=="#__comprofiler"){
                $table_sel_prefix="c.";
                }elseif ($tablename=="#__users"){
                $table_sel_prefix="u.";
                }else {
                $table_sel_prefix="";
                }
            if(is_string($columnname) AND $columnname <> "" AND strpos($columnname,",") == False){
                $fieldarray[]=$columnname;
                $namesarray[]=$thisfield->name;
                if($fieldcount==1){
                    $query2=$table_sel_prefix.$columnname;
                } else {
                $query2= $query2 . "," . $table_sel_prefix.$columnname;
                }
                $fieldcount++;
            
            }
        }
    }else{
        foreach($fieldlist as $thisfield){
        if($thisfield <> "NA"){
            $fieldarray[]=$thisfield;
            $namesarray[]=$thisfield;
            if($fieldcount==1){
                $query2=$thisfield;
            } else {
            $query2= $query2 . "," . $thisfield;
            }
            $fieldcount++;
        
        }
    }
 
    }
    /* add the usertype field to the save*/
    $query2=$query2.",usertype";
    $fieldarray[]="usertype";
    $namesarray[]="usertype";
    #
    $query3= " FROM #__users u  LEFT JOIN #__comprofiler c on (u.id=c.user_id)";
    
    $query=$query1 . $query2 . $query3;
    #debug echo "New query is $query <br>";
    $database->setquery($query);
    $database->query();
    if ($database->getErrorNum()) {
            print("<font color=red>SQL error in comprofiler" . $database->stderr(true)."</font><br />");
            return;
        }
    
    $numbusers=$database->getNumRows();
    #debug print_r($fieldarray);
    #debug echo "<br>";
    $fulldata=$database->loadAssocList();
    #debug echo "Starting stuff on $numbusers rows<br>";
    #debug print_r(($fulldata[2]));
    #debug echo "<br>";
    #flush buffer
    if(! $cbjuicedebug){
    while( @ob_end_clean() );
    ob_start();
    $browser="IE";
    header('Content-Type: '.(($browser=='IE' || $browser=='OPERA')?
        'text/plain':'text/plain'));
    header('Expires: '.gmdate('D, d M Y H:i:s').' GMT');

    if($browser=='IE') {
        header('Content-Disposition: attachment; filename="users.csv"');
        header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
        header('Pragma: public');
    } else {
        header('Content-Disposition: attachment; filename="users.csv"');
        header('Cache-Control: no-cache, must-revalidate');
        header('Pragma: no-cache');    
    }
    } # end of debug
    #first write header row;
    $outputrow= "\"" . implode("\",\"", $namesarray) . "\"" ."\r\n";
    print $outputrow;
    #
    Foreach($fulldata as $thisuser){
        $outputrow= "\"" . implode("\",\"", $thisuser) . "\"" ."\r\n";
    
        print $outputrow;
    }
    if (!$cbjuicedebug){
    ob_end_flush();
    exit;
    }

} #end of save user function

function RandomPassword($PwdLength=8, $PwdType='standard')
    {
    // $PwdType can be one of these:
    //    test .. .. .. always returns the same password = "test"
    //    any  .. .. .. returns a random password, which can contain strange characters
    //    alphanum . .. returns a random password containing alphanumerics only
    //    standard . .. same as alphanum, but not including l10O (lower L, one, zero, upper O)
    //
    /* this function was found in the following reference
    http://wiki.jumba.com.au/wiki/PHP_Generate_random_password
    Code contributed by Thewebdruid, for the Jumba Wiki
    */
    
    $Ranges='';
    
    if('test'==$PwdType)         return 'test';
    elseif('standard'==$PwdType) $Ranges='65-78,80-90,97-107,109-122,50-57';
    elseif('alphanum'==$PwdType) $Ranges='65-90,97-122,48-57';
    elseif('any'==$PwdType)      $Ranges='40-59,61-91,93-126';
            
    if($Ranges<>'')
        {
        $Range=explode(',',$Ranges);
        $NumRanges=count($Range);
        mt_srand(); //not required after PHP v4.2.0
        $p='';
        for ($i = 1; $i <= $PwdLength; $i++)
            {
            $r=mt_rand(0,$NumRanges-1);
            list($min,$max)=explode('-',$Range[$r]);
            $p.=chr(mt_rand($min,$max));
            }
        return $p;			
        }
    }

?>

